package gp_dbc.gui.JailManager;

import gp_dbc.Main;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.GuiButton;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;
import org.lwjgl.opengl.GL11;

public class GuiButtonJailManager extends GuiButton {

    private static final ResourceLocation buttonTexturesNinjin = new ResourceLocation(Main.MODID, "textures/gui/jailManager.png");
    ItemStack stack;

    public GuiButtonJailManager(int buttonId, int x, int y, int width, int height)
    {
        super(buttonId, x, y, "");
        this.enabled = true;
        this.visible = true;
        this.id = buttonId;
        this.xPosition = x;
        this.yPosition = y;
    }

    /**
     * Draws this button to the screen.
     */
    @Override
    public void drawButton(Minecraft minecraft, int x, int y) {
        if (!this.visible)
            return;

        minecraft.getTextureManager().bindTexture(buttonTexturesNinjin);

        boolean flag = x >= this.xPosition && y >= this.yPosition && x < this.xPosition + this.width && y < this.yPosition + this.height;
        if (id < 0) { // cells
            GL11.glPushMatrix();

            if (flag) {
                GL11.glColor4f(0.8f, 0.8f, 0.8f, 1.0f);
                this.drawTexturedModalRect(this.xPosition, this.yPosition, 130, 7, this.width, this.height);
            }
            else
                this.drawTexturedModalRect(this.xPosition, this.yPosition, 130, 7, this.width, this.height);

            GL11.glPopMatrix();
        }
    }

}
