package gp_dbc.proxy;

import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import gp_dbc.TemporaryEvent;
import gp_dbc.config.ConfigManager;
import gp_dbc.system.Handcuff;
import gp_dbc.system.TimeJail;

public class ServerProxy extends CommonProxy{	

    public void preInit(FMLPreInitializationEvent $e) {
    	super.preInit($e);

        ConfigManager.init($e.getModConfigurationDirectory().toString());
        FMLCommonHandler.instance().bus().register(new ConfigManager());

    	FMLCommonHandler.instance().bus().register(new TemporaryEvent());
        FMLCommonHandler.instance().bus().register(new TimeJail());
        FMLCommonHandler.instance().bus().register(new Handcuff());
    }

    public void init(FMLInitializationEvent $e) {
    	super.init($e);
    }
    
    public void postInit(FMLPostInitializationEvent $e) {
    	super.postInit($e);
    }

}
