package gp_dbc.proxy;

import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkRegistry;
import cpw.mods.fml.common.network.simpleimpl.SimpleNetworkWrapper;
import cpw.mods.fml.relauncher.Side;
import gp_dbc.Main;
import gp_dbc.network.client.NetworkDeleteItemC;
import gp_dbc.network.client.NetworkHandcuffedC;
import gp_dbc.network.client.NetworkJailManagerC;

public class CommonProxy {

    public static SimpleNetworkWrapper network;
    
    public void preInit(FMLPreInitializationEvent $e) {

        network = NetworkRegistry.INSTANCE.newSimpleChannel(Main.MODID + "_1");

        int i = 0;

        // Server to Client
        network.registerMessage(NetworkHandcuffedC.MyMessageHandlerC.class, NetworkHandcuffedC.class, i++, Side.CLIENT);
        network.registerMessage(NetworkDeleteItemC.MyMessageHandlerC.class, NetworkDeleteItemC.class, i++, Side.CLIENT);
        network.registerMessage(NetworkJailManagerC.MyMessageHandlerC.class, NetworkJailManagerC.class, i++, Side.CLIENT);

        // Client to Server

    }

    public void init(FMLInitializationEvent $e) {
        
    }

    public void postInit(FMLPostInitializationEvent $e) {

    }

    public void registerRender() {}

}


